低危 Eldy Awstats路径遍历漏洞

CVE编号

CVE-2020-29600

利用情况

暂无

补丁情况

官方补丁

披露时间

2020-12-08 09:15:00
漏洞描述
Eldy Awstats是Eldy个人开发者的一个应用于Web站点的日志分析工具。在AWStats到7.7中,cgi-bin/awstats.pl?config=接受绝对路径名,即使它只打算读取/etc/awstats中的文件/awstats.conf文件格式。注意:此问题的存在是因为CVE-2017-1000501的修复不完整。

解决建议

目前厂商已发布升级补丁以修复漏洞,补丁获取链接: https://github.com/eldy/awstats/commit/d4d815d0caae3dbae83ac70a1ae4581bd57cf376


受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 awstats awstats * Up to
(including)
7.7
运行在以下环境
系统 alpine_3.10 awstats * Up to
(excluding)
7.8-r0
运行在以下环境
系统 alpine_3.11 awstats * Up to
(excluding)
7.8-r0
运行在以下环境
系统 debian_10 awstats * Up to
(excluding)
7.6+dfsg-2+deb10u1
运行在以下环境
系统 debian_11 awstats * Up to
(excluding)
7.6+dfsg-2
运行在以下环境
系统 debian_9 awstats * Up to
(excluding)
7.6+dfsg-1+deb9u2
运行在以下环境
系统 debian_sid awstats * Up to
(excluding)
7.8-1
运行在以下环境
系统 fedora_32 awstats * Up to
(excluding)
7.8-2.fc32
运行在以下环境
系统 ubuntu_16.04 awstats * Up to
(excluding)
7.4+dfsg-1ubuntu0.4+esm1
运行在以下环境
系统 ubuntu_18.04 awstats * Up to
(excluding)
7.6+dfsg-2ubuntu0.18.04.1
运行在以下环境
系统 ubuntu_20.04 awstats * Up to
(excluding)
7.6+dfsg-2ubuntu0.20.04.1
运行在以下环境
系统 unionos_20 awstats * Up to
(excluding)
7.6.1-1+sercurity
阿里云评分
3.1
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-22 对路径名的限制不恰当(路径遍历)
阿里云安全产品覆盖情况